MICROTIME(9)

NAME
microtime - realtime system clock

SYNOPSIS
#include <sys/time.h>
void
microtime(struct timeval *tv);

DESCRIPTION
microtime() returns the current value of the system realtime clock in the structure pointed to by the argument tv. The system realtime clock is guaranteed to be monotomically increasing at all times. As such, all calls to microtime() are guaranteed to return a system time greater than or equal to the system time returned in any previous calls.

SEE ALSO
hz(9), hardclock(9), inittodr(9), time(9), settimeofday(9)

CODE REFERENCES
The implementation of the microtime() function is machine dependent, hence its location in the source code tree varies from architecture to architecture.

BUGS
Despite the guarantee that the system realtime clock will always be monotomically increasing, it is always possible for the system clock to be manually reset by the system administrator to any date.